Irrlicht Engine: irr::io::IWriteFile Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::io::IWriteFile Class Reference

Interface providing write access to a file. More...

`#include <IWriteFile.h>`

Inheritance diagram for irr::io::IWriteFile:

List of all members.

## Public Member Functions
virtual const path & | getFileName () const =0
| Get name of file.
virtual long | getPos () const =0
| Get the current position in the file.
virtual bool | seek (long finalPos, bool relativeMovement=false)=0
| Changes position in file.
virtual s32 | write (const void *buffer, u32 sizeToWrite)=0
| Writes an amount of bytes to the file.

## Detailed Description

Interface providing write access to a file.

Definition at line 17 of file IWriteFile.h.

## Member Function Documentation

virtual const path& irr::io::IWriteFile::getFileName | ( |  | ) | const`[pure virtual]`

Get name of file.

Returns:
  File name as zero terminated character string.

virtual long irr::io::IWriteFile::getPos | ( |  | ) | const`[pure virtual]`

Get the current position in the file.

Returns:
  Current position in the file in bytes.

virtual bool irr::io::IWriteFile::seek | ( | long | finalPos,
|  | bool | relativeMovement = `false` |
| ) |  |  | `[pure virtual]`

Changes position in file.

Parameters:

  | finalPos | Destination position in the file.
  | relativeMovement | If set to true, the position in the file is changed relative to current position. Otherwise the position is changed from begin of file.

Returns:
  True if successful, otherwise false.

virtual s32 irr::io::IWriteFile::write | ( | const void * | buffer,
|  | u32 | sizeToWrite |
| ) |  |  | `[pure virtual]`

Writes an amount of bytes to the file.

Parameters:

  | buffer | Pointer to buffer of bytes to write.
  | sizeToWrite | Amount of bytes to write to the file.

Returns:
  How much bytes were written.

The documentation for this class was generated from the following file:

- IWriteFile.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)